DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# PaintEllipsoid

Paint an ellipsoid

## SYNOPSIS

`#include "dip_paint.h"`

dip_Error dip_PaintEllipsoid ( im, radius, orign, scale, amplitude )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

Paints an elliptical object in the image by replacing the values of the pixels in `im` that lie within the ellips (as specified by `diameter` and `origin`) with `amplitude`, and leaving the other pixel values untouched.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `im` | Image
`dip_FloatArray` | `radius` | Diameter array
`dip_FloatArray` | `origin` | Origin array
`dip_float` | `amplitude` | Pixel value of the painted ellips

## SEE ALSO

`PaintDiamond`, `PaintBox`